import java.io.*;
import java.lang.reflect.Array;
import java.util.Scanner;

/*** Methode Main : Lire le fichier donné et créer un tableau 2D qui contint le characters du fichier. 
 *** Demander un mot d'utilisateur et le chercher dans le tableau 
 *** Visualiser the tableau avec le mot trouver ou informer l'utilisatuer si le mot n'est pas present */

public class Main {

    public static void main(String args[]) throws IOException {

        String filename;
        Scanner scan = new Scanner(System.in);

        // Demander le nom de Fichier à l'utisateur
        filename = scan.next();
        File file = new File(filename);
        // Construire une instance de la classe "Crossword"
        Crossword tableau = new Crossword(file);
        tableau.display();
        // Demander un mot à chercher ...
        while (true) {
            String word = scan.next();
            // Utiliser la méthode Crossword.search() pour chercher le mot
            tableau.search(word);
            // Ecrire un message sur le terminal pour informer l'utilisateur du resultat.
            if (tableau.search(word)) {
                System.out.println("Le mot " + word + " a été trouvé " + tableau.countWord(word) + " fois");
            } else System.out.println("Le mot " + word + " n'a pas été trouvé...");
        }

    }
}
